Class ldrunk
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.ldrunk

public class ldrunk
extends ej
give beers to a list...
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
ldrunk(float maxRange, float stepSize) Create a ldrunk object with specified maximum and step.
ldrunk(float minRange, float maxRange, float stepSize) Create a ldrunk object with specified minimum, maximum and step.
ldrunk(float minRange, float maxRange, float stepSize, float proba) Create a ldrunk object with specified minimum, maximum, step and probapility.

Method Summary
void | bang() Trigger the randomisation.
void | inlet(float f) If the floating point value arrives in the left inlet, try using drunk instead...
void | inlet(int i) If the integer point value arrives in the left inlet, try using drunk instead...
void | list(float[] args) List to be drunked.
void | notifyDeleted() used internal to free the clock.

Methods inherited from class ej.ej
anything, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
ldrunk
public ldrunk(float maxRange,
float stepSize)

  Create a ldrunk object with specified maximum and step.
  Parameters:
    maxRange - define the maximum of the range
    stepSize - define the step (randomness will be ± step/2)

ldrunk
public ldrunk(float minRange,
float maxRange,
float stepSize)

  Create a ldrunk object with specified minimum, maximum and step.
  Parameters:
    minRange - define the minimum of the range
    maxRange - define the maximum of the range
    stepSize - define the step (randomness will be ± step/2)

ldrunk
public ldrunk(float minRange,
float maxRange,
float stepSize,
float proba)

  Create a ldrunk object with specified minimum, maximum, step and probapility.
  Parameters:
    minRange - define the minimum of the range
    maxRange - define the maximum of the range
    stepSize - define the step (randomness will be ± step/2)
    proba - probability of randomness (percentage)

Method Detail
notifyDeleted
public void notifyDeleted()

  used internal to free the clock.
  Overrides:
    notifyDeleted in class com.cycling74.max.MaxObject

bang
public void bang()

  Trigger the randomisation.
  Overrides:
    bang in class ej

inlet
public void inlet(int i)

  If the integer point value arrives in the left inlet, try using drunk instead...

  If the integer point value arrives in the second inlet: set the minimum of the range

  If the integer point value arrives in the third inlet: set the maximum of the range

  If the integer point value arrives in the fourth inlet: set the step size

  If the integer point value arrives in the fifth inlet: set the probability

  Overrides:
    inlet in class ej

inlet
public void inlet(float f)

  If the floating point value arrives in the left inlet, try using drunk instead...

  If the floating point value arrives in the second inlet: set the minimum of the range

  If the floating point value arrives in the third inlet: set the maximum of the range

  If the floating point value arrives in the fourth inlet: set the step size

  If the floating point value arrives in the fifth inlet: set the probability

  Overrides:
    inlet in class ej

list
public void list(float[] args)

  List to be drunked.
  Overrides:
    list in class com.cycling74.max.MaxObject

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com